1 NX9+VS2012 2 3 #include <NXOpen/NXObject.hxx> 4 #include <NXOpen/Part.hxx> 5 #include <NXOpen/PartCollection.hxx> 6 #include <NXOpen/Point.hxx> 7 #include <NXOpen/PointCollection.hxx> 8 9 NXOpen::Session *theSession = NXOpen::Session::GetSession(); 10 NXOpen::Part *workPart(theSession->Parts()->Work()); 11 NXOpen::Part *displayPart(theSession->Parts()->Display()); 12 13 NXOpen::Point3d Point1XYZ(0,0,0); 14 NXOpen::Point *Point1 = workPart->Points()->CreatePoint(Point1XYZ); 15 16 NXOpen::Point3d Point2XYZ(100,100,100); 17 NXOpen::Point *Point2 = workPart->Points()->CreatePoint(Point2XYZ);
原文地址:https://www.cnblogs.com/nxopen2018/p/10957451.html
时间: 2024-11-07 01:57:24